PARAMETERS IN THE SOFTWARE SERVICE (SOFTWARE SERVICE --> Keeta)
{baseURL}
- The {baseURL} is the parameter that indicates the base address, i.e. the constant part of the address, where the routes will be called.
clientId and clientSecret
- Keeta is responsible for providing the credentials for authentication to be performed through the authentication endpoint.
IMPORTANT: As described in the authentication section of the documentation, credentials are generated by Keeta, that is, if several MERCHANTS use the same Software Service, the software will have a same clientId and clientSecret.
- Keeta is responsible for providing the credentials for authentication to be performed through the authentication endpoint.
AppId
- It is the unique ID of Keeta which is generated by Keeta itself, it will be informed to all the Software Services that it will integrate.
X-App-Signature
- Keeta requires Software Service to generate a signature and include it in the header of each API request. Refer to the Signature Calculation section for the complete algorithm specification.
PARAMETERS IN Keeta (Keeta --> SOFTWARE SERVICE)
GET /merchant endpoint URL:
- Keeta must be provided with the URL to access the
GET /merchantroute to obtain the merchant's information.
IMPORTANT: Each merchant that the Software Service works with must have a unique URL.
- Keeta must be provided with the URL to access the
apiKey
- If the GET /merchant endpoint is implemented using authentication, it is necessary that the Software Service provides the apiKey referring to the entered merchant.
Order Event Webhook
- If both parties are going to work with sending order events via webhook, it is necessary to provide the URL of the webhook. Default webhook route:
POST {baseURL}/newEvent
- If both parties are going to work with sending order events via webhook, it is necessary to provide the URL of the webhook. Default webhook route:
For general guidelines on the Keeta Open Delivery API, please refer directly to Open Delivery General Guidelines.
For error handling guidelines on the Keeta Open Delivery API, please refer directly to Open Delivery Error Handling.
Last updated